Draft Shape2DView

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Shape2DView and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Shape2DView.svg Draft Shape2DView

poziția meniului
Draft -> Shape 2D View
Workbenches
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul


Descriere

Acest instrument plasează în document un obiect 2D care este o vedere aplatizată a unui obiect selectat Shape, proiectat în direcția curentă de vizualizare.

The resulting projection is a Draft object and is placed in the 3D view. This object can be displayed on a TechDraw Workbench Page, using the TechDraw NewDraft tool. Alternatively, TechDraw has its own tools to create projected views, the TechDraw NewView and TechDraw NewProjGroup tools; however, these tools are meant for preparing technical drawings, so they create the views only in the drawing page, and not in the 3D view.

Draft Shape2DView example.jpg

Projection of solid shapes into the XY plane


Cum se folosește

  1. Selectați obiectul din care doriți să extrageți o vizualizare 2D
  2. Rotiți vizualizarea (sau utilizați comenzile rapide de presetare a vizualizării), astfel încât să reflecte direcția în care doriți să proiectați obiectul. De exemplu, folosirea unei vederi de sus va proiecta obiectul pe planul XY, pe verticală de-a lungul axei Z ca în imaginea de mai sus.
  3. Apăsați butonul Draft Shape2DView.png Draft Shape2DView

The projected object will be created below the selected object, lying on the XY plane. It's position can be changed by changing its properties. The projection direction can also be changed after creation with the property editor.

If the selected object is an Arch SectionPlane, the projection will use the contents and direction of that Section plane; in this case, the "Projection" property will be ignored.

Opţiuni

  • Dacă obiectul selectat este un Arch SectionPlane, proiecția 2D va fi conținutul planului secțiunii, iar vectorul de proiecție va fi luat din planul secțiunii în locul proprietății Proiecție de mai jos.
  • Modul normal de operare este Solid, care proiectează întreaga formă, dar dacă ați selectat unele fețe ale obiectului de bază atunci când creați vizualizarea 2D, puteți seta și Individual care va proiecta numai fațetele care au fost selectate.
  • Dacă obiectul selectat este un modul Arch SectionPlane, sunt disponibile și modurile de proiecție Cutlines șiCutfaces, care proiectează numai marginile tăiate de planul secțiunii. Modul Cutfaces afișează zonele tăiate ale solidelor ca fațete.

Proprietăți

  • DATA Proiectare: direcția proiecției.
  • DATA Mod de proiecție: Modul de proiecție: fețe solide, individuale sau tăieturi.
  • DATA In Place: Dacă este adevărat, atunci când se utilizează Cutlines sau Cutfaces mode (doar Arch SectionPlane), rezultatul va apărea la locația planului tăiat în loc de planul de masă introduced in version 0.17
  • DATA HiddenLines: Afișează linii ascunse sau nu
  • DATA Tessellation: Tessellate Ellipses și BSplines în segmente de linie
  • DATA Lungimea segmentului: mărimea segmentelor dacă Tessellation este activată
  • DATA Numai vizibil: Dacă este adevărat, această vizualizare va fi recuperată numai dacă este vizibilă

Scrip-Programare

InstrumentulDraft Shape2DView poate fi utilizat în macros și de la consola Python folosind următoarele funcții:

Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
  • Adăugă o formă 2D la document, care este o proiecție 2D a obiectului dat.
  • De asemenea, poate fi dat un vector specific de proiecție.
  • Returnează obiectul generat.
  • Puteți să furnizați, de asemenea, o listă cu numerele de față care trebuie luate în considerare.

The ProjectionMode attribute needs to be overwritten with the desired mode, which can be "Solid", "Individual Faces", "Cutlines", or "Cutfaces".

Exempluː

import FreeCAD, Draft

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

Shape1 = Draft.makeShape2DView(Box)

Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))

Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
Shape3.ProjectionMode = "Individual Faces"

FreeCAD.ActiveDocument.recompute()